# OTSubscriberKitVideoNetworkStats Class Reference

Inherits from | NSObject
Declared in | OTNetworkStatsKit.h

## Overview

Describes video statistics for a subscriber. See [OTSubscriberKit setNetworkStatsDelegate:].

### `videoPacketsLost`

The estimated number of video packets lost by this subscriber.

`@property (readonly) uint64_t videoPacketsLost`

#### Declared In

`OTNetworkStatsKit.h`

### `videoPacketsReceived`

The number of video packets received by this subscriber.

`@property (readonly) uint64_t videoPacketsReceived`

#### Declared In

`OTNetworkStatsKit.h`

### `videoBytesReceived`

The number of video bytes received by this subscriber.

`@property (readonly) uint64_t videoBytesReceived`

#### Declared In

`OTNetworkStatsKit.h`

### `timestamp`

The timestamp, in milliseconds since the Unix epoch, for when these stats were gathered.

`@property (readonly) double timestamp`

#### Declared In

`OTNetworkStatsKit.h`

### `senderStats`

Sender-side network estimation stats. This property is optional and may be nil if data is not available. Due to network latency, sender statistics may not be immediately available after the initial stats request. (Deprecated: Use subscriber media link stats (OTSubscriberKitMediaLinkStats) instead for complete network metrics including remote publisher transport and network degradation source information.)

`@property (readonly, nullable) OTSenderStats *senderStats`

#### Declared In

`OTNetworkStatsKit.h`

### `width`

The width of the video frame, in pixels.

`@property (readonly) int32_t width`

#### Declared In

`OTNetworkStatsKit.h`

### `height`

The height of the video frame, in pixels.

`@property (readonly) int32_t height`

#### Declared In

`OTNetworkStatsKit.h`

### `decodedFrameRate`

The decoded frame rate (in frames per second).

`@property (readonly) double decodedFrameRate`

#### Declared In

`OTNetworkStatsKit.h`

### `bitrate`

The bitrate, in bits per second.

`@property (readonly) int64_t bitrate`

#### Declared In

`OTNetworkStatsKit.h`

### `totalBitrate`

The total bitrate, including RTP headers, padding, and payload, in bits per second.

`@property (readonly) int64_t totalBitrate`

#### Declared In

`OTNetworkStatsKit.h`

### `pauseCount`

The number of times the subscriber’s video playback has paused.

`@property (readonly) int64_t pauseCount`

#### Discussion

Video is considered paused if the time elapsed since the last rendered frame exceeds 5 seconds.

#### Declared In

`OTNetworkStatsKit.h`

### `totalPausesDuration`

The cumulative duration (in milliseconds) of all video pauses.

`@property (readonly) int64_t totalPausesDuration`

#### Declared In

`OTNetworkStatsKit.h`

### `freezeCount`

The number of times the subscriber’s video has frozen.

`@property (readonly) int64_t freezeCount`

#### Discussion

A freeze is defined according to https://www.w3.org/TR/webrtc-stats/#dom-rtcinboundrtpstreamstats-freezecount

#### Declared In

`OTNetworkStatsKit.h`

### `totalFreezesDuration`

The cumulative duration (in milliseconds) of all video freezes.

`@property (readonly) int64_t totalFreezesDuration`

#### Declared In

`OTNetworkStatsKit.h`

### `codec`

The codec currently used for this subscriber.

`@property (readonly, nullable) NSString *codec`

#### Declared In

`OTNetworkStatsKit.h`